Sign in to follow this  
GMMigge

Shader versions

Recommended Posts

Anybody who knows a place where you can find a list of which graphic cards that supports the different vertex and pixel shader versions? For example, Radeon 9700 supports 2.0 versions of both vertex and pixel shaders. A complete list of many graphic cards and their support for the different versions would be nice... I haven't found one yet.

Share this post


Link to post
Share on other sites
What exactly are you trying to do? If you know which cards you want to know, you can just go to the website or look at reviews. Do you need EVERY graphics card ou there? You can do it by range. Something like


Radeon | SM | GeForce
| |
| 3.0 | 6800
9700 - X800 | 2.0 | blah*
8500 - 9600 | 1.0 | blah*
< 8500 | None | blah*


BTW - these numbers are straight out of my ass, they are probably completely wrong.

Share this post


Link to post
Share on other sites
Guest Anonymous Poster
You know that you can query the device for its vertex and pixel shader versions don't you? It's in the device caps.

Share this post


Link to post
Share on other sites
It goes something like this:

Geforce 6600/6800 series: SM3.0
Radeon X800 series: SM2.x (SM2.0 with a few SM3.0 features)
GeforceFX 5200/5600/5700/5800/5900 series: SM2.0
Radeon 9500/9600/9700/9800 series: SM2.0
Geforce 4 Ti series: PS1.3,VS1.1
Radeon 8500/9000/9100/9200 series: PS1.4,VS1.1
Geforce 3 series: PS1.1,VS1.1

Be careful though, although the GeforceFX 5200/5600 series do actually support SM2.0, they can't run even the simplest shaders at acceptable speeds, especially the 5200 series. You may as well consider them to be PS1.3 and VS1.1 cards.

Share this post


Link to post
Share on other sites
Quote:
Original post by SephirothEX
It goes something like this:

Geforce 6600/6800 series: SM3.0
Radeon X800 series: SM2.x (SM2.0 with a few SM3.0 features)
GeforceFX 5200/5600/5700/5800/5900 series: SM2.0
Radeon 9500/9600/9700/9800 series: SM2.0
Geforce 4 Ti series: PS1.3,VS1.1
Radeon 8500/9000/9100/9200 series: PS1.4,VS1.1
Geforce 3 series: PS1.1,VS1.1

Be careful though, although the GeforceFX 5200/5600 series do actually support SM2.0, they can't run even the simplest shaders at acceptable speeds, especially the 5200 series. You may as well consider them to be PS1.3 and VS1.1 cards.

Actually I am using a p4@2.4 with a pci geoforcefx5200 and it can get all the way through 3dmark03 without problems although it only scores like 1000 3dmarks. You are probably thinking about this card with earlier nvidia drivers. I remember with older versions the card did like to crash all the time I tried to run sm3 shaders using ati's rendermonkey or used opengl2 shaders.No problemo now.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this